SDL_UserEvent Struct Reference

A user-defined event type (event.user.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Sint32 | code
void * | data1
void * | data2

## Detailed Description

A user-defined event type (event.user.*)

Definition at line 491 of file SDL_events.h.

## Field Documentation

Sint32 SDL_UserEvent::code

User defined event code

Definition at line 496 of file SDL_events.h.

Referenced by events_pushPumpAndPollUserevent(), and SDLTest_PrintEvent().

void* SDL_UserEvent::data1

User defined data pointer

Definition at line 497 of file SDL_events.h.

Referenced by events_pushPumpAndPollUserevent(), and FIFO_Reader().

void* SDL_UserEvent::data2

User defined data pointer

Definition at line 498 of file SDL_events.h.

Referenced by events_pushPumpAndPollUserevent().

Uint32 SDL_UserEvent::timestamp

Definition at line 494 of file SDL_events.h.

Uint32 SDL_UserEvent::type

SDL_USEREVENT through SDL_LASTEVENT-1

Definition at line 493 of file SDL_events.h.

Uint32 SDL_UserEvent::windowID

The associated window if any

Definition at line 495 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h